% -------------------------------------------------------------------------
% function HfssRenameSetup(fid,HoldName,HNewName)
% 
% Popis funkce :
% -------------
% Prejmenovani objektu v analyze v HFSS.
%
% Parametery :
% ------------
% fid     - soubor identifikujici HFSS script.
% HoldName - stare jmeno objektu.
% HnewName - nove jmeno objektu.
% 
%
% Priklad pouziti funkce :
% ---------
% fid = fopen('antenna.m', 'wt');
% ... 
% HfssRenameSetup(fid, 'setup1', 'setup_one');
%
% -------------------------------------------------------------------------

function HfssRenameSetup(fid,HoldName,HNewName)
global Module

%zapis do souboru temp
fprintf(fid,'%% Prejmenovani analyzy\n');
fprintf(fid,['Module.RenameSetup(''',HoldName,''',''',HNewName,''')\n\n']);

%Prime vykonani v programu Hfss
Module.RenameSetup(HoldName,HNewName);
end